# WOK
TKWOK
WOKBuilder

# WOKBuilder_ExecutableLinker Class Reference

Links an executable
.

`#include <WOKBuilder_ExecutableLinker.hxx>`

Inheritance diagram for WOKBuilder_ExecutableLinker:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_ExecutableLinker (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalHeader ()
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | GetLinkerProduction ()

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ExecutableLinker::WOKBuilder_ExecutableLinker | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ExecutableLinker::EvalHeader | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKBuilder_Linker.

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_ExecutableLinker::GetLinkerProduction | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKBuilder_Linker.

Standard_EXPORT const WOKBuilder_ExecutableLinker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Linker.

The documentation for this class was generated from the following file:

- WOKBuilder_ExecutableLinker.hxx